mod default;
pub mod traits;

use std::sync::Arc;

#[derive(Clone)]
pub struct ReleaseManager {
    inner: Arc<dyn traits::ReleaseManager>,
}

impl ReleaseManager {
    pub fn get_default() -> Self {
        Self {
            inner: Arc::new(default::ReleaseManager::new()),
        }
    }
}

impl std::ops::Deref for ReleaseManager {
    type Target = Arc<dyn traits::ReleaseManager>;

    fn deref(&self) -> &Self::Target {
        &self.inner
    }
}
